#
# spec file for package pcsxr
#
# Copyright (c) 2012 Guido Berhoerster.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           pcsxr
Version:        1.9.93
Release:        1.5
License:        GPL-2.0+
Summary:        PlayStation Emulator
Url:            http://pcsxr.codeplex.com/
Group:          System/Emulators/Other
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE pcsxr-change-plugin-path.patch gber@opensuse.org -- Installs plugins in libdir/psemu
Patch0:         pcsxr-change-plugin-path.patch
# PATCH-FIX-UPSTREAM pcsxr-fix-missing-headers.patch gber@opensuse.org -- Adds missing includes
Patch1:         pcsxr-fix-missing-headers.patch
# PATH-FIX-UPSTREAM pcsxr-ambiguous-expressions.patch gber@opensuse.org -- Fixes a number of ambiguous expressions invoking undefined behavior
Patch2:         pcsxr-fix-ambiguous-expressions.patch
# PATCH-FIX-UPSTREAM pcsxr-fix-array-overflow.patch gber@opensuse.org -- Fixes an array overflow
Patch3:         pcsxr-fix-array-overflow.patch
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.20
BuildRequires:  pkgconfig(sdl) >= 1.2.12
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(gl)
BuildRequires:  libcdio-devel
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PCSX-Reloaded is a free PlayStation Console emulator which has been forked from
the PCSX emulator and provides a nicer interface as well as several
improvements to stability and functionality. PCSX-Reloaded uses the PSEMU
plugin interface for most functionality and already includes a number of
plugins. Furthemore, it has a very capable Internal HLE BIOS that can run many
games without problems. However, it is also possible for PlayStation owners to
use their original BIOS image.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

chmod 644 ChangeLog

modified="$(sed -n '/^----/n;s/ - .*$//;p;q' "%{_sourcedir}/%{name}.changes")"
DATE="\"$(date -d "${modified}" "+%%b %%e %%Y")\""
TIME="\"$(date -d "${modified}" "+%%R")\""
find .  -name '*.[ch]' |\
    xargs sed -i "s/__DATE__/${DATE}/g;s/__TIME__/${TIME}/g"

%build
export CFLAGS='%{optflags} -fno-strict-aliasing'
./autogen.sh
%configure --enable-opengl --enable-libcdio --enable-sound=sdl
make %{?_smp_mflags}

%install
%make_install

rm %{buildroot}%{_libdir}/psemu/*.la

%find_lang pcsxr %{?_no_lang_C}

%suse_update_desktop_file -r pcsxr System Emulator

%post
%desktop_database_post

%postun
%desktop_database_postun

%files -f pcsxr.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog ChangeLog.df README doc/*.txt
%{_bindir}/pcsxr
%{_libdir}/psemu
%{_datadir}/pcsxr
%{_datadir}/psemu
%{_datadir}/applications/pcsxr.desktop
%{_datadir}/pixmaps/pcsxr-icon.png
%{_mandir}/man1/pcsxr.1*

%changelog
* Thu Oct 31 2013 gber@opensuse.org
- update to version 1.9.93
  - This release includes many bugfixes over the three years, as
    well as many enhancements to the OS X version.
  - In General:
  - SIO1 support is enabled by default.
  - OpenAL can be the back-end to the sound plug-in.
  - Removal of the GXVideo plug-in code.
  - Multi-block saves are copied correctly.
- rename pcsxr-1.9.92-change-plugin-path.patch to
  pcsxr-change-plugin-path.patch
- remove obsolete pcsxr-1.9.92-fix-int-to-pointer-warning.patch
- rename pcsxr-1.9.92-fix-ambiguous-expressions.patch to
  pcsxr-fix-ambiguous-expressions.patch
- rename pcsxr-1.9.92-change-plugin-path.patch to
  pcsxr-change-plugin-path.patch
- rename pcsxr-1.9.92-fix-missing-headers.patch to
  pcsxr-fix-missing-headers.patch
- add pcsxr-fix-array-overflow.patch which fixes an array overflow
* Wed Sep  5 2012 gber@opensuse.org
- add missing dependencies on automake, libtool
- add pcsxr-1.9.92-fix-linking.patch which fixes the linking order
  (http://pcsxr.codeplex.com/workitem/7815, backported from
  upstream SVN)
* Mon Dec  5 2011 gber@opensuse.org
- initial packaging
